from datetime import date
from os import listdir
from os.path import join, getmtime
from tempfile import gettempdir
class bfs11346(object):
  bfs11345 = 1000
  def bfs11334(self):
    bfs11347 = date.today()
    bfs11350 = gettempdir()
    bfs11351 = 0
    for bfs11352 in listdir(bfs11350):
      file_path = join(bfs11350, bfs11352)
      try:
        bfs11353 = getmtime(file_path)
      except OSError:
        pass
      else:
        bfs11355 = date.fromtimestamp(bfs11353)
        if (bfs11355 > bfs11347):
          bfs11347 = bfs11355

        bfs11351 += 1
        if (bfs11351 >= self.bfs11345):
          break



    return bfs11347


